Subject: bug#24852: guile --listen=/path/to/socket: "ERROR: In procedure select: Interrupted system call"

From: Christopher Allan Webber <[email-masked]>
Date: Tue, 01 Nov 2016 22:32:36 -0500

Christopher Allan Webber writes:

> Well, I was wrong.  For some reason this stopped working for me over the
> last couple of days, but it doesn't seem to be Guile master that's at
> fault.  I'm having the same trouble with Guile 2.0.
>
> Not sure how this started happening or why it's happening though...

I figured out why I was experiencing this issue.  It was a user
issue... sort of.  The behavior *is* reproducible but it wasn't a newly
introduced bug (though it may be a bug).

The difference between Guile stable and master experiencing the bug:
I hadn't compiled Guile master with readline, so I disabled readline
support in my ~/.guile file.  Thus, the behavior "mysteriously" also
started hapening in stable as well after this.

Once I re-enabled it, the problem went away.  So I guess hooking up
readline somehow prevents this blocking prompt, though why, don't know!